 program-id. savedbcredentials.

 input-output section.
 file-control.
   select db-credentials assign to "dbcred"
     organization is indexed
         access mode is dynamic
         record key is db-user
         file status is fs-dbcred.


 file section.
 fd  db-credentials.
 01  db-cred-rec.
     05 db-user     pic x(10).
     05 db-password pic x(16).

 working-storage section.
 01 fs-dbcred   pic x(2).
 01 ws-user     pic x(10).
 01 ws-password pic x(10).

 procedure division chaining ws-user ws-password.
 main.
    set environment "file.index" to "jisam"
    perform open-file
    move ws-user to db-user
    call "a$encrypt"
         using ws-password "thekey01" db-password
    write db-cred-rec
    perform close-file
    goback.

 open-file.
    set environment "errors_ok" to "2"
    open i-o db-credentials
    if fs-dbcred = "35"
       open output db-credentials
    else
       display "error opening dbcred file: " fs-dbcred
       goback
    end-if.

 close-file.
    close db-credentials.
