 program-id. dbconnect.

 input-output section.
 file-control.
   select db-credentials assign to "dbcred"
     organization is indexed
         access mode is dynamic
         record key is db-user
         file status is fs-dbcred.

 file section.
 fd  db-credentials.
 01  db-cred-rec.
     05 db-user     pic x(10).
     05 db-password pic x(16).

 working-storage section.
 exec sql include "sqlca" end-exec.
 01 fs-dbcred   pic x(2).
 01 ws-user     pic x(10).
 01 ws-password pic x(10).
 01 ws-jdbc-url pic x any length.

 procedure division.
 main.
    set environment "file.index" to "jisam"
    open i-o db-credentials
    move "orauser1" to db-user
    read db-credentials
       invalid key
           display "DB credentials not found on file"
           goback
    end-read
    call "a$decrypt"
         using db-password "thekey01" ws-password
    initialize ws-jdbc-url
    string "jdbc:oracle:thin:" delimited by size
           db-user delimited by trailing spaces
           "/" delimited by size
           ws-password delimited by trailing spaces
           "@127.0.0.1:1521:xe"
      into ws-jdbc-url
    end-string

    set environment "jdbc.driver"
        to "oracle.jdbc.OracleDriver"
    set environment "jdbc.url"
        to ws-jdbc-url
    exec sql connect end-exec
    if sqlcode = 0
       display message "Connection OK"
    else
      display message "Failed to connect: " sqlcode
    end-if
    goback.
